MainWindow Class Reference
Inheritance diagram for MainWindow:

## Public Member Functions

| MainWindow (QWidget *parent=0)
| Constructor.
| ~MainWindow ()
| Destructor.
void | readPass (const string &pass)
| Main function, where all the other PasswordStrength functions are executed. More...
void | strengthDisplay (string strength, int totalScore)
| Function to set the computed strength and total score password strength in the GUI. More...
void | setNumberOfCharacters (int count, int score)
| Function to set the number of characters and score in the GUI. More...
void | setUpperCharacters (int count, int score)
| Function to set the number of upper case characters and score in the GUI. More...
void | setLowerCharacters (int count, int score)
| Function to set the number of lower case characters and score in the GUI. More...
void | setDigits (int count, int score)
| Function to set the number of digits characters and score in the GUI. More...
void | setSymbols (int count, int score)
| Function to set the number of symbols characters and score in the GUI. More...
void | setMiddleDigitsOrSymbols (int count, int score)
| Function to set the number of middle digits or symbols and score in the GUI. More...
void | setRequirements (int count, int score)
| Function to set the number password strength requirements met and score in the GUI. More...
void | setLettersOnly (int count, int score)
| Function to set the number of letters if there were only letters and score in the GUI. More...
void | setDigitsOnly (int count, int score)
| Function to set the number of digits if there were only digits and score in the GUI. More...
void | setConsecutiveUpper (int count, int score)
| Function to set the number of consecutive upper characters and score in the GUI. More...
void | setConsecutiveLower (int count, int score)
| Function to set the number of consecutive lower characters and score in the GUI. More...
void | setConsecutiveDigits (int count, int score)
| Function to set the number of consecutive digits and score in the GUI. More...

## Public Attributes

vector< char > | V

## Private Slots

void | on_lineEdit_textChanged (const QString &arg1)
| Function that is called every time the password text box field is changed. More...
void | on_HiddenCheckBox_clicked (bool checked)
| Function that is called when the password hidden checkbox is selected. More...

## Private Attributes

Ui::MainWindow * | ui

## Member Function Documentation

void MainWindow::on_HiddenCheckBox_clicked | ( | bool | checked | ) |

privateslot

Function that is called when the password hidden checkbox is selected.

Parameters

  checked | boolean value

void MainWindow::on_lineEdit_textChanged | ( | const QString & | arg1 | ) |

privateslot

Function that is called every time the password text box field is changed.

Parameters

  arg1 | string with the current value of the password text box

void MainWindow::readPass | ( | const string & | pass | ) |

Main function, where all the other PasswordStrength functions are executed.

Parameters

  pass | string by reference to analyze

void MainWindow::setConsecutiveDigits | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of consecutive digits and score in the GUI.

Parameters

  count | the number of consecutive digits found.
  score | the score given by the count of consecutive digits found.

void MainWindow::setConsecutiveLower | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of consecutive lower characters and score in the GUI.

Parameters

  count | the number of consecutive lower characters found.
  score | the score given by the count of consecutive lower characters found.

void MainWindow::setConsecutiveUpper | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of consecutive upper characters and score in the GUI.

Parameters

  count | the number of consecutive upper characters found.
  score | the score given by the count of consecutive upper characters found.

void MainWindow::setDigits | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of digits characters and score in the GUI.

Parameters

  count | the number of digits found.
  score | the score given by the count of digit characters.

void MainWindow::setDigitsOnly | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of digits if there were only digits and score in the GUI.

Parameters

  count | the number of digits only found.
  score | the score given by digits only found.

void MainWindow::setLettersOnly | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of letters if there were only letters and score in the GUI.

Parameters

  count | the number of letters only found.
  score | the score given by letters only found.

void MainWindow::setLowerCharacters | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of lower case characters and score in the GUI.

Parameters

  count | the number of lower case characters found.
  score | the score given by the count of lower case characters.

void MainWindow::setMiddleDigitsOrSymbols | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of middle digits or symbols and score in the GUI.

Parameters

  count | the number of middle digits or symbols found.
  score | the score given by the count of middle digits or symbols.

void MainWindow::setNumberOfCharacters | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of characters and score in the GUI.

Parameters

  count | the number of characters found.
  score | the score given by the count of characters found.

void MainWindow::setRequirements | ( | int | count,
|  | int | score
| ) |  |

Function to set the number password strength requirements met and score in the GUI.

Parameters

  count | the number of requirements met.
  score | the score given by requirements.

void MainWindow::setSymbols | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of symbols characters and score in the GUI.

Parameters

  count | the number of symbols found.
  score | the score given by the count of symbols.

void MainWindow::setUpperCharacters | ( | int | count,
|  | int | score
| ) |  |

Function to set the number of upper case characters and score in the GUI.

Parameters

  count | the number of upper case characters found.
  score | the score given by the count of upper case characters.

void MainWindow::strengthDisplay | ( | string | strength,
|  | int | totalScore
| ) |  |

Function to set the computed strength and total score password strength in the GUI.

Parameters

  strength | Computed strenght of the password.
  totalScore | Total score of the strength of the password.

The documentation for this class was generated from the following files:

- mainwindow.h
- mainwindow.cpp
- readpassword.cpp